aagc.vo

## Class MmgplsService

- java.lang.Object
- - javax.xml.ws.Service
  - - aagc.vo.MmgplsService

-     @WebServiceClient(name="mmgplsService",
                        targetNamespace="http://giava.rsr.rupar.puglia.it",
                        wsdlLocation="file:/H:/workspace/pddasl/compile/giava.wsdl")
      public class MmgplsService
      extends javax.xml.ws.Service

  This class was generated by the JAX-WS RI. JAX-WS RI 2.2.10 Generated source version: 2.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.xml.ws.Service

      `javax.xml.ws.Service.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static javax.xml.ws.WebServiceException` | `MMGPLSSERVICE_EXCEPTION`
    `private static javax.xml.namespace.QName` | `MMGPLSSERVICE_QNAME`
    `private static java.net.URL` | `MMGPLSSERVICE_WSDL_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MmgplsService()`
    `MmgplsService(java.net.URL wsdlLocation, javax.xml.namespace.QName serviceName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.net.URL` | `__getWsdlLocation()`
    `MmgplsPortType` | `getMmgplsWebService()`
    `MmgplsPortType` | `getMmgplsWebService(javax.xml.ws.WebServiceFeature... features)`

    - ### Methods inherited from class javax.xml.ws.Service

      `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MMGPLSSERVICE_WSDL_LOCATION

          private static final java.net.URL MMGPLSSERVICE_WSDL_LOCATION

    - #### MMGPLSSERVICE_EXCEPTION

          private static final javax.xml.ws.WebServiceException MMGPLSSERVICE_EXCEPTION

    - #### MMGPLSSERVICE_QNAME

          private static final javax.xml.namespace.QName MMGPLSSERVICE_QNAME

  - ### Constructor Detail

    - #### MmgplsService

          public MmgplsService()

    - #### MmgplsService

          public MmgplsService(java.net.URL wsdlLocation,
                               javax.xml.namespace.QName serviceName)

  - ### Method Detail

    - #### getMmgplsWebService

          @WebEndpoint(name="mmgplsWebService")
          public MmgplsPortType getMmgplsWebService()

      Returns:
        returns MmgplsPortType

    - #### getMmgplsWebService

          @WebEndpoint(name="mmgplsWebService")
          public MmgplsPortType getMmgplsWebService(javax.xml.ws.WebServiceFeature... features)

      Parameters:
        `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
      Returns:
        returns MmgplsPortType

    - #### __getWsdlLocation

          private static java.net.URL __getWsdlLocation()